gnutls_pem_base64_encode(3)

NAME
gnutls_pem_base64_encode - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pem_base64_encode(const char * msg, const gnutls_datum_t * data, char * result, size_t * result_size);

ARGUMENTS

const char * msg
    is a message to be put in the header

const gnutls_datum_t * data
    contain the raw data

char * result
    the place where base64 data will be copied

size_t * result_size
    holds the size of the result

DESCRIPTION
This function will convert the given data to printable data, using the base64 encoding. This is the encoding used in PEM messages. The output string will be null terminated, although the size will not include the terminating null.

RETURNS
On success GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_SHORT_MEMORY_BUFFER is returned if the buffer given is not long enough, or 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/